Bug 769649 - ConsoleKit not adding /dev/snd perms for a "startx" session
Summary: ConsoleKit not adding /dev/snd perms for a "startx" session
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: ConsoleKit
Version: 16
Hardware: i686
OS: Linux
unspecified
unspecified
Target Milestone: ---
Assignee: Lennart Poettering
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-12-21 15:42 UTC by Habig, Alec
Modified: 2013-02-13 16:21 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-02-13 16:21:27 UTC


Attachments (Terms of Use)

Description Habig, Alec 2011-12-21 15:42:02 UTC
While ck is correctly tracking my sessions (see below) as I log on on console (runlevel 3) and then "startx" to a kde session, it is not adding me as a user to the /dev/snd device, so sound does not work:

$ getfacl /dev/snd/controlC0
getfacl: Removing leading '/' from absolute path names
# file: dev/snd/controlC0
# owner: root
# group: audio
user::rw-
group::rw-
mask::rw-
other::---

If I getfacl while still on console before startx, it does list me as a user.

ConsoleKit-0.4.5-1.fc15.i686 is what I've got, upgraded recently from f15 (where everything worked fine) to f16 (where it doesn't, but there's not a f16 specific ConsoleKit available?).  Manually mashing the /dev/snd permissions lets the sound work fine.

$ ck-list-sessions
Session3:
        unix-user = '500'
        realname = 'Alec Habig'
        seat = 'Seat1'
        session-type = ''
        active = TRUE
        x11-display = ':0'
        x11-display-device = '/dev/tty7'
        display-device = ''
        remote-host-name = ''
        is-local = TRUE
        on-since = '2011-12-21T15:29:54.730993Z'
        login-session-id = '1'
Session1:
        unix-user = '500'
        realname = 'Alec Habig'
        seat = 'Seat1'
        session-type = ''
        active = FALSE
        x11-display = ''
        x11-display-device = ''
        display-device = '/dev/tty1'
        remote-host-name = ''
        is-local = TRUE
        on-since = '2011-12-21T13:14:06.115121Z'
        login-session-id = '1'
        idle-since-hint = '2011-12-21T15:30:22.045035Z'

Comment 1 Habig, Alec 2011-12-26 15:02:27 UTC
Some more hints that it's a more general problem with ConsoleKit not managing "startx" sessions properly:

1) the other F-16 machine I have access to does the same thing;
2) Same problem with read access to the CDROM. /dev/sr0

Comment 2 Habig, Alec 2012-01-03 15:38:50 UTC
Confirmed that things work as expected if kdm is used to start the session (in runlevel 5) rather than startx (in runlevel 3).

ck-list-sessions in this case just has the one kdm-started session:

Session1:
        unix-user = '500'
        realname = 'Alec Habig'
        seat = 'Seat1'
        session-type = ''
        active = TRUE
        x11-display = ':0'
        x11-display-device = '/dev/tty1'
        display-device = ''
        remote-host-name = ''
        is-local = TRUE
        on-since = '2012-01-03T15:31:48.576773Z'
        login-session-id = ''

Comment 3 Fedora End Of Life 2013-01-16 15:00:14 UTC
This message is a reminder that Fedora 16 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 16. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '16'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 16's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 16 is end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" and open it against that version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 4 Fedora End Of Life 2013-02-13 16:21:29 UTC
Fedora 16 changed to end-of-life (EOL) status on 2013-02-12. Fedora 16 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.